<template>
    <div class="list">
        <div v-for="(note, index) in notes" :key="'note'+index">
            <div class="title">
                <p>{{note.name}}</p>
                <div class="buttons">
                    <nuxt-link :to="'/edit?id='+note.id"><img src="../assets/images/svg/color-pencil.svg" alt=""></nuxt-link>
                    <button @click="showPopup(true, note.id)"><img src="../assets/images/svg/trash-can.svg" alt=""></button>
                </div>
            </div>
            <ul>
                <li v-for="(todo, index) in note.todos" :key="'todo'+index" :class="todo.status == 1 ? 'done' : ''">
                    {{todo.name}}
                </li>
            </ul>
        </div>
    </div>
</template>

<script>
    import PopupDelNote from "./PopupDelNote";
    import {bus} from "../pages/index";

    export default {
        props: ['notes'],
        data: function() {
            return {
                delId: '',
                visible: false
            }
        },
        components: {PopupDelNote},
        methods: {
            /*показываем попап подтверждения удаления*/
            showPopup(val, delId) {
                bus.$emit('showDelPopup', {val: true, delId: delId, action: 'delNote'});
            },
        }
    }
</script>

<style scoped>

</style>
